#!/path/to/python 

import xmlrpclib

print "Starting PowerAPI LGPL Client V0.1a"

PowerDog_IP='10.2.1.122'     #PowerDog IP
PowerAPI_Password='abc123'   #PpwerAPI Password


#----------------------------------------------------
server_url = 'http://'+PowerDog_IP+':20000'; 
server = xmlrpclib.Server(server_url);

# Call the server and get our result

#getPowerDogInfo
result = server.getPowerDogInfo(PowerAPI_Password)
print "getPowerDogInfo Reply:", result['Reply']
print "Version:", result['Reply']['FullVersion']

#RESULT:
# getPowerDogInfo Reply: {'ProductionDate': '2013-01-28 17:30:15', 'SerialNumber': 'PD301-00054', 'Version': '1.71', 'FullVersion': '1.71 Codename: High Velocity (Exhibition Mode)', 'HardwareRevision': 'PowerDog Rev. B'}
#V ersion: 1.71 Codename: High Velocity (Exhibition Mode)


#getRegulations
result = server.getRegulations(PowerAPI_Password)
print "getRegulations Reply:", result['Reply']

#RESULT
# getRegulations Reply: {'regulation_1363445914': {'LinearType': 'regulation', 'Name': 'onoff', 'Max': '100', 'Last_Read_Average': '0', 'Setable': '', 'Hardware': '', 'Unit_Time_Add': '', 'Valid': True, 'Unit_1000000': 'M%', 'Key': 'regulation_1363445914', 'Current_Value': '0', 'Last_Usage': '0', 'Unit_1000': 'T%', 'Type': 'Percent', 'Unit': '%'}, 'regulation_1363445937': {'LinearType': 'regulation', 'Name': 'circle', 'Max': '100', 'Last_Read_Average': '0', 'Setable': '', 'Hardware': '', 'Unit_Time_Add': '', 'Valid': True, 'Unit_1000000': 'M%', 'Key': 'regulation_1363445937', 'Current_Value': '0', 'Last_Usage': '0', 'Unit_1000': 'T%', 'Type': 'Percent', 'Unit': '%'}, 'regulation_1363258767': {'LinearType': 'regulation', 'Name': 'heiz', 'Max': '100', 'Last_Read_Average': '0', 'Setable': '', 'Hardware': '', 'Unit_Time_Add': '', 'Valid': True, 'Unit_1000000': 'M%', 'Key': 'regulation_1363258767', 'Current_Value': '0', 'Last_Usage': '0', 'Unit_1000': 'T%', 'Type': 'Percent', 'Unit': '%'}}



#getCurrentLinearValues
result = server.getCurrentLinearValues(PowerAPI_Password,'regulation_1363445914')
print "getCurrentLinearValues Reply:", result['Reply']

#RESULT
# getCurrentLinearValues Reply: {'regulation_1363445914': {'Name': 'onoff', 'Last_Read_Average': '0', 'Valid': True, 'Key': 'regulation_1363445914', 'Current_Value': '0', 'Last_Usage': '0', 'Unit': '%'}}


#Check if regulation is on and set something 
state=result['Reply']['regulation_1363445914']['Current_Value']
print 'CURRENT STATE:' , state

if state > 0:
	print "TURNING ON THE SUN!"
else: 
	print "SHUTTING DOWN THE SUN!"



